#
# Copyright (C) 2004 Carl Johan Lejdfors
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Please send all bugreports to: Carl Johan Lejdfors <calle.lejdfors@cs.lth.se>
#

import string

def marshalFX(obj, name, *args):
    methodName = string.rstrip(name,'0123456789')
    lcn = len(methodName)
    lk = len(name)
    method = getattr(obj,methodName)
    if lcn == lk:
        method(*args)
    else:
        method(string.atoi(name[lcn:]),*args)

